ReferenceAutomationsRulesIdSimulate

    Simulate a draft without external effects

    Simulate a draft without external effects - POST /automations/rules/{id}/simulate. DocDealer REST API reference.

    POST
    /automations/rules/{id}/simulate

    Authorization

    bearerAuth
    AuthorizationBearer <token>

    In: header

    Path Parameters

    id*string
    Formatuuid

    Request Body

    application/json

    TypeScript Definitions

    Use the request body type in TypeScript.

    Response Body

    application/json

    application/json

    application/json

    application/json

    application/json

    application/json

    curl -X POST "https://example.com/automations/rules/497f6eca-6276-4993-bfeb-53cbbbba6f08/simulate" \  -H "Content-Type: application/json" \  -d '{    "expectedRevision": 0,    "snapshot": {      "property1": null,      "property2": null    }  }'
    {  "actions": [    {      "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d",      "errors": {        "property1": "string",        "property2": "string"      },      "formats": [        "string"      ],      "id": "string",      "inputs": {        "property1": null,        "property2": null      },      "kind": "string",      "name": "string",      "pendingInputs": [        "string"      ]    }  ],  "draftRevision": 0,  "exportPolicy": {    "mode": "string",    "validation": "string"  },  "matches": true,  "ruleId": "70af3071-65d9-4ec3-b3cb-5283e8d55dac",  "sideEffects": false}